/**
 * Form field.
 * @class ApField
 */

'use strict'

import React, {Component, PropTypes as types} from 'react'
import classnames from 'classnames'

/** @lends ApField */
class ApField extends Component {
  // --------------------
  // Specs
  // --------------------
  render () {
    const s = this
    let { props } = s

    return (
      <div className={ classnames('ap-field', props.className, {
        'ap-field-align-center': props.center
      }) }
           style={ Object.assign({}, props.style) }>
        <div className='ap-field-inner'>
          { props.children }
        </div>
      </div>
    )
  }
}

Object.assign(ApField, {
  // --------------------
  // Specs
  // --------------------
  propTypes: {
    center: types.bool
  },

  defaultProps: {
    center: false
  }
})

export default ApField
