/**
 * Legend of form field.
 * @class ApFieldLegend
 */

'use strict'

import React, {Component, PropTypes as types} from 'react'
import classnames from 'classnames'
import {shallowEqual} from 'asobj'

/** @lends ApFieldLegend */
class ApFieldLegend extends Component {
  // --------------------
  // Specs
  // --------------------
  render () {
    const s = this
    let { props } = s

    return (
      <legend { ...props }
              className={ classnames('ap-field-legend', props.className) }>
        { props.children }
      </legend>
    )
  }

  // --------------------
  // Lifecycle
  // --------------------

  shouldComponentUpdate (nextProps, nextState) {
    const s = this
    let { props, state } = s
    return !shallowEqual(props, nextProps) || shallowEqual(state, nextState)
  }
}
Object.assign(ApFieldLegend, {
  // --------------------
  // Specs
  // --------------------

  propTypes: {},

  defaultProps: {}
})

export default ApFieldLegend
