/**
 * Set of form field.
 * @class ApFieldSet
 */

'use strict'

import React, {Component, PropTypes as types} from 'react'
import classnames from 'classnames'

/** @lends ApFieldSet */
class ApFieldSet extends Component {
  // --------------------
  // Specs
  // --------------------
  render () {
    const s = this
    let { props } = s
    return (
      <fieldset id={ props.id }
                className={ classnames('ap-field-set', {
                  'ap-field-set-plain': props.plain
                }, props.className) }>
        { props.children }
      </fieldset>
    )
  }
}

Object.assign(ApFieldSet, {
  // --------------------
  // Specs
  // --------------------

  propTypes: {
    plain: types.bool
  }
})

export default ApFieldSet
